Subject: [PATCH v3 4/6] bus: ti-sysc: Add support for software reset

From: [email-masked] (Tony Lindgren)
Date: Mon, 11 Jun 2018 00:03:32 -0700

* Faiz Abbas <[email-masked]> [180611 06:48]:
> Hi,
> 
> On Monday 11 June 2018 11:59 AM, Tony Lindgren wrote:
> > * Faiz Abbas <[email-masked]> [180611 06:28]:
> >> Great. I thought I completely misunderstood you. But I don't see what
> >> adding another function will accomplish. A QUIRK flag used in the same
> >> function would work well enough>
> > Fine with me as long as the function stays simple for both
> > syss and sysc reset.
> >
> 
> 
> In general a reset status bit being in sysstatus is the norm and it
> being in sysconfig should be the "quirk" for which a flag needs to be
> added. What do you think?

Sure makes sense to me.

> As an aside, naming bitshifts by the name of the platform they were
> originally added in seems weird. There should be some generic mask
> saying "soft reset is the 0th bit". Currently I am using
> SYSC_OMAP4_SOFTRESET for a dra76x module. I guess it depends on how many
> different sysconfig types we have.

Sure we could have a macro for that.

Regards,

Tony